<template>
  <PageLayout
    class="publishResource-page-wrapper"
    :title="`发布资源(${stepperInfo.index.value + 1}/${stepperInfo.steps.value.length})`"
    hasBorder
  >
    <InnerPage />
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import InnerPage from './InnerPage.vue';
import { PublishResourceContextKey } from './context';
import { ResourceStatus } from '@12333/constants';
import { useStepper } from 'senin-mini/hooks';
import Taro from '@tarojs/taro';
import { ResourceOperateBtnStatus } from '@12333/constants';

const router = Taro.useRouter();
const resourceId = router.params?.id ?? '';
const resourceOperateBtnStatus = router.params?.resourceOperateBtnStatus ?? '';
const isEdit = computed(() => {
  return Number(resourceOperateBtnStatus) === ResourceOperateBtnStatus.Edit;
});

const form = reactive({
  categoryId: '',
  title: '',
  resourceIntros: '',
  resourceCount: '' as any as number,
  cities: [] as number[],
  citiesList: [] as number[],
  intendedDeliveryCity: [] as number[],
  intendedDeliveryCityList: [] as number[],
  isLimitDeliveryCity: true,
  cooperationFee: '',
  isSyncCircleFriend: true,
  status: '' as any as ResourceStatus,
  checkRemark: '',
  industryTypeId: '',
  isOpenOnlineTrade: false,
});

const stepperInfo = useStepper(['step1', 'step2']);

provide(PublishResourceContextKey, {
  form,
  resourceId,
  resourceOperateBtnStatus: Number(resourceOperateBtnStatus) as ResourceOperateBtnStatus,
  isEdit,
  ...stepperInfo,
});
</script>
